#!/bin/sh

set -e

DEBUILD="debuild"
# DISTRIB_CODENAME
DISTRIB_CODENAME=`sed -n "s/DISTRIB_CODENAME=//p" /etc/lsb-release`


if [ "$1" = "--help" ]; then
  echo "debuild wrapper script for hark-designer"
  echo "  Usage: $0 [--no-debuild | <debuild options>]"
  echo "  see also: debuild --help"
  exit 0
elif [ "$1" = "--no-debuild" ]; then
  DEBUILD="echo $DEBUILD"
fi


# current directory check
if [ ! -d "debian" ]; then
  echo "no debian directory here"
  exit 1
fi

# change package.json when distrib is precise or trusty (workaround)
#if [ ${DISTRIB_CODENAME} = "precise" -o ${DISTRIB_CODENAME} = "trusty" ]; then
#  sed -i 's/"sqlite3": "^3.0.9"/"sqlite3": ">=3.0.9 <3.1.4"/' package.json
#fi

# change dependency for [nodejs]
rm -f debian/control 
ln -s "_control_${DISTRIB_CODENAME}" debian/control

# run
${DEBUILD} "$@"
